Bug 183732 - Focus stealing problem in Firefox
Summary: Focus stealing problem in Firefox
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: firefox (Show other bugs)
(Show other bugs)
Version: 4
Hardware: All Linux
medium
high
Target Milestone: ---
Assignee: Christopher Aillon
QA Contact:
URL: https://bugzilla.mozilla.org/show_bug...
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-03-03 07:17 UTC by n0dalus
Modified: 2007-11-30 22:11 UTC (History)
2 users (show)

Fixed In Version: 5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-24 13:39:54 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch against 1.0.7 (1.05 KB, patch)
2006-03-04 06:26 UTC, n0dalus
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Mozilla Foundation 310825 None None None Never

Description n0dalus 2006-03-03 07:17:42 UTC
Description of problem:

https://bugzilla.mozilla.org/show_bug.cgi?id=310825

The current Firefox in FC4 is susceptible to a focus stealing bug. It commonly
occurs with Gmail running in another tab, and often results in mistaken
operations (with Gmail keyboard shortcuts, like messages being trashed or moved
around) In the worst case scenario, a website could steal focus when you are
putting in a password in another window or tab.

Version-Release number of selected component (if applicable):
firefox-1.0.7-1.2.fc4

How reproducible:
Very; see test case on Mozilla's bugzilla.

Steps to Reproduce:
1. Load test case
2. Follow instructions

This is fixed in the latest version of Firefox but unless an upgrade is
scheduled soon for FC4 then I would recommend back-porting the patch attached to
Mozilla's bugzilla.

Mozilla may also be affected; I have not tested it.

Comment 1 n0dalus 2006-03-04 06:26:38 UTC
Created attachment 125636 [details]
Patch against 1.0.7

The patch attached to upstream bugzilla didn't work with 1.0.7, so I applied it
manually and made a new diff against FIREFOX_1_0_7_RELEASE (So it can be put in
the srpm easily).

Comment 2 Christian Iseli 2007-01-22 11:29:00 UTC
This report targets the FC3 or FC4 products, which have now been EOL'd.

Could you please check that it still applies to a current Fedora release, and
either update the target product or close it ?

Thanks.

Comment 3 n0dalus 2007-01-24 13:39:54 UTC
This no longer applies to active Fedora releases. Closing.


Note You need to log in before you can comment on or make changes to this bug.